<?php
require_once ('../core/base.php');
falseauth();
$header = 'Пополнение золота';
include_once ('../core/head.php');

/*if($u['admin'] != 3){
    $_SESSION['message'] = 'Пополнение золота будет доступно в ближайшее время.';
    header('Location: /gold/');
    exit;
}*/

include_once __DIR__ . '/sett.php';
include_once __DIR__ . '/WapkassaClass.php';
if (isset($_GET['bits'])) {
    try {
        // Инициализация класса с id сайта и секретным ключом
        $wapkassa = new WapkassaClass(WK_ID, WK_SECRET);

        // основные параметры - сумма и комментарий платежа
$wapkassa->setParams($wk_cena_bits[$_GET['bits']], 'Пополнение золота ID ' . $u['id']);

        // допольнительные параметры в виде массива, необязательно
        $wapkassa->setParamsAdd(array(
            'users_id' => $u['id'],
            'type' => 'bits',
            'count' => $_GET['bits'],
        ));

        // получаем данные для генерации формы
        $formValue = $wapkassa->getValue();
        if($_GET['bits'] == 500) $bonus = 50;
        if($_GET['bits'] == 1000) $bonus = 200;
        if($_GET['bits'] == 2500) $bonus = 750;
        if($_GET['bits'] == 5000) $bonus = 2000;
        if($_GET['bits'] == 10000) $bonus = 5000;

        // генерируем форму
        echo '<div class="b"><div class="title">Пополнение Золота</div>';
        echo '<div class="event"><center>Вам будет начислено <img src="/images/icons/gold_24.png"><font color="gold"><b>'.n_f($_GET['bits']).'</b></font> + <font color="gold">'.n_f($bonus).'</font> золота в честь открытия игры. Нажмите "Подтвердить" чтобы перейти к оплате.</center></div>
        <form method="post" action="https://wapkassa.ru/merchant/payment2">';

        foreach ($formValue as $key => $value) {
            echo '<input type="hidden" name="' . $key . '" value="' . $value . '">';
        }
        echo '<center><button class="btn"><img src="/images/icons/yes.png">Подтвердить</button></center>';
        echo '</form></div>';
        require_once ('../core/foot.php');
        exit;

    } catch (Exception $e) {
        // вывод ошибки
        echo $e->getMessage();
        require_once ('../core/foot.php');
        exit;
    }
}

$pinfo=0;

echo '<div class="b">';
echo '<div class="title">Пополнение Золота</div>';
echo '<center><div class="border"><img src="/images/places/gold_and_dragon.png"></div></center>';
echo '<div class="event"><center>Приобретая золото вы помогаете развитию игры!';
echo '<div class="only_line"></div>';
echo '<small>В честь открытия игры - вы получите до <font color="gold"><b>+50%</b></font> золота в подарок.</small></center></div>';

foreach ($wk_cena_bits as $key => $value) {

$pinfo++;
if($pinfo==1){
	$cost='50';
    $bonus = '50';
}
if($pinfo==2){
	$cost='95';
    $bonus = '200';
}
if($pinfo==3){
	$cost='240';
    $bonus = '750';
}
if($pinfo==4){
    $economy = ' <font color="gold"><small>(ВЫГОДНО)</small></font>';
	$cost='450';
    $bonus = '2000';
}
if($pinfo==5){
    $economy = ' <font color="gold"><small>(ВЫГОДНО)</small></font>';
	$cost='850';
    $bonus = '5000';
}

echo "<div class='event'><img src='/images/gold/gold_".$pinfo.".png' style='border: 1px solid gold; margin-right:3px; width: 52px; float: left;'><img src='/images/icons/gold.png'> <b><font color='gold'>".n_f($key)."</font> золота</b> +<font color='gold'>".$bonus."</font> в подарок!".$economy."</br><a href='?bits=".$key."' class='btn_small'><small>Пополнить (".$cost." RUB)</small></a></div>";
}

echo '<a class="btn" href="/gold/"><img src="/images/icons/back.png"> Назад</a>';

echo '</div>';

require_once ('../core/foot.php');
?>